Name:           lzma
Version:        4.32.7
Release:        20%{?dist}
Summary:        LZMA utils
License:        GPLv2+
URL:            http://tukaani.org/%{name}/
Source0:        http://tukaani.org/%{name}/%{name}-%{version}.tar.lzma

%description
LZMA provides very high compression ratio and fast decompression. The core of
the LZMA utils is Igor Pavlov's LZMA SDK containing the actual LZMA encoder/
decoder. LZMA utils add a few scripts which provide gzip-like command line
interface and a couple of other LZMA related tools.

==================== Note ====================
LZMA Utils are no longer developed, although critical bugs may be fixed as
long as fixing them doesn't require huge changes to the code. Users of LZMA
Utils should move to XZ Utils. XZ Utils support the legacy .lzma format used
by LZMA Utils, and can also emulate the command line tools of LZMA Utils.
This should make transition from LZMA Utils to XZ Utils relatively easy.

%package        libs
Summary:        Libraries for decoding LZMA compression
License:        LGPLv2+

%description    libs
Libraries for decoding LZMA compression.

==================== Note ====================
LZMA Utils are no longer developed, although critical bugs may be fixed as
long as fixing them doesn't require huge changes to the code. Users of LZMA
Utils should move to XZ Utils. XZ Utils support the legacy .lzma format used
by LZMA Utils, and can also emulate the command line tools of LZMA Utils.
This should make transition from LZMA Utils to XZ Utils relatively easy.

%package        devel
Summary:        Devel libraries & headers for liblzmadec
License:        LGPLv2+
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
Devel libraries & headers for liblzmadec.

==================== Note ====================
LZMA Utils are no longer developed, although critical bugs may be fixed as
long as fixing them doesn't require huge changes to the code. Users of LZMA
Utils should move to XZ Utils. XZ Utils support the legacy .lzma format used
by LZMA Utils, and can also emulate the command line tools of LZMA Utils.
This should make transition from LZMA Utils to XZ Utils relatively easy.

%prep
%setup -q

%build
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install INSTALL="%{__install} -p"
rm %{buildroot}%{_libdir}/*a
# base package tools/manuals obsoleted by xz-lzma-compat (rhbz #999937)
rm -frv %{buildroot}%{_bindir}/*
rm -frv %{buildroot}%{_mandir}/man1/*

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files libs
%license COPYING.*
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.32.7-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.32.7-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.32.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.32.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Ralf Corsepius <corsepiu@fedoraproject.org> - 4.32.7-16
- Don't package *.la (F24FTBFS).

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.32.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 10 2015 Michael Schwendt <mschwendt@fedoraproject.org> - 4.32.7-13
- Don't build the obsolete base package (#999937).
- Fix base -libs package dependency in -devel package to be arch-specific.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-7
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 12 2009 Ville Skyttä <ville.skytta@iki.fi> - 4.32.7-4
- Use lzma compressed upstream tarball.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.32.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Mon Aug 04 2008 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.7-1
- Switch to version 4.32.7

* Sat Feb 09 2008 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.5-1
- Switch to version 4.32.5

* Sat Oct 27 2007 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.2-2
- Forgot to upload new sources, bumping...

* Sat Oct 27 2007 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.2-1
- 'make tag' problems, bumping...

* Sat Oct 27 2007 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.2-0
- Switch to version 4.32.2

* Tue Aug 7 2007 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.0-0.6.beta5
- More clean-up in spec and use beta5 release

* Tue Aug 7 2007 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.0-0.5.beta3
- More clean-up in spec

* Wed Jul 25 2007 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.0-0.4.beta3
- Add COPYING, remove *.a and *.la file, make description shorter

* Thu Jul 19 2007 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.0-0.3.beta3
- Add dist and _smp_mflags

* Tue Jul 17 2007 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.0-0.2.beta3
- Clean-up in spec.

* Sun Jul 15 2007 Per Patrice Bouchand <patrice.bouchand.fedora<at>gmail.com> 4.32.0-0.1.beta3
- Initial Fedora release (inspired by mandriva spec)

